Skip to main content
GET
/
v1
/
approvals
/
{uid}
Retrieve an Approval
curl --request GET \
  --url https://api.siit.io/v1/approvals/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "approver": "<string>",
  "request": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.siit.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Approval

Query Parameters

expand[]
string[]

Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags

Response

Successful

uid
string
read-only

The UID of the Approval

state
enum<string>
read-only

Current state of the Approval

Available options:
approved,
expired,
pending,
rejected
approver

The approver. Currently always a User; may include other approver types in the future. Pass ?expand[]=field_name for full object.

request

The Request the Approval is attached to. Pass ?expand[]=field_name for full object.

created_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

updated_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")